/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _BACKEND_FILE_H
#define _BACKEND_FILE_H

#include <glib.h>
#include "jmfile.h"


#define backend_file_add(NAME, URL, PARENT) backend_add(NAME, URL, JMFILE_FILE, PARENT)
JMFile* backend_file_create (gchar* name, JMFile* parent, gchar* path);
#define backend_file_remove(FILE) backend_remove(FILE)

void backend_file_download (JMFile* jmfile);
void backend_file_cancel (JMFile* file);



#endif /* _BACKEND_FILE_H */
