/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _BACKEND_ANNOUNCE_H
#define _BACKEND_ANNOUNCE_H

#include "jmfile.h"

void backend_announce_update_most (JMFile* channel);
void backend_announce_schedule_updates (JMFile* channel);

void backend_announce_add (JMFile* file, JMFile* parent);
void backend_announce_remove (JMFile* file, JMFile* parent);
void backend_announce_delete (JMFile* file);


#endif /* _BACKEND_ANNOUNCE_H */
