/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _BACKEND_CHANNEL_H
#define _BACKEND_CHANNEL_H

#include <glib.h>
#include "jmfile.h"

JMFile* backend_channel_add (gchar* url, JMFile* parent);
JMFile* backend_channel_create (gchar* url, JMFile* parent, gboolean is_channels_only);
#define backend_channel_remove(CHANNEL) backend_remove(CHANNEL)

void backend_channel_join (JMFile* channel);
void backend_channel_leave (JMFile* channel);

#endif /* _BACKEND_CHANNEL_H */
