/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _BACKEND_DIRECTORY_H
#define _BACKEND_DIRECTORY_H

#include <glib.h>
#include "jmfile.h"


gboolean backend_files_create (gchar* paths, JMFile* parent, 
			       gboolean swallow_top_directory);

JMFile*  backend_directory_create (gchar* name, JMFile* parent);
#define  backend_directory_remove(DIR) backend_remove(DIR)

void 	 backend_directory_download (JMFile* dir);


#endif /* _BACKEND_DIRECTORY_H */
