/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _BACKEND_SEARCH_H
#define _BACKEND_SEARCH_H

#include <glib.h>
#include "jmfile.h"

#define backend_search_add(URL, PARENT) backend_add(URL, JMFILE_SEARCH, PARENT)
JMFile* backend_search_create (gchar* name, gchar* url, JMFile* channel);

#endif /* _BACKEND_SEARCH_H */
