/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _BTP_PROTO_H
#define _BTP_PROTO_H

#include <glib.h>
#include <gnet/gnet.h>

#include "b_conn.h"
#include "b_conn_accept.h"


#define FIND_NEW_PARENT_TIME		5000
#define FIND_NEW_PARENT_RANGE		1000

#define REQUEST_CHILDREN_TIME		10
#define REQUEST_CHILDREN_RANGE 		2000

#define NEXT_REQUEST_CHILDREN_TIME	20000	/* TODO This should be exponential */
#define NEXT_REQUEST_CHILDREN_RANGE 	2000

#define SWITCH_TIMEOUT_TIME		15000
#define SWITCH_TIMEOUT_RANGE		 3000


BConnAcceptType	btp_conn_accept (BConn* conn, gchar* obj_name);

extern BConnFuncs btp_proto_funcs;

#endif /* _BTP_PROTO_H */
