/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



/*

  GUI for joined channels list for the Gtk/Gnome GUI.

*/


#ifndef _GGUI_CHANNELS_H
#define _GGUI_CHANNELS_H

void 	ggui_channels_init (void);
void 	ggui_channels_shutdown (void);
void 	ggui_channels_load_bookmarks (JMFile* root_channel);

void 	ggui_channels_select (JMFile* jmfile);
JMFile* ggui_channels_get_selected (void);

void	ggui_channels_set_bookmark (JMFile* jmfile, gboolean remember);

void 	ggui_channels_show (JMFile* jmfile);

void ggui_channels_add (JMFile* jmfile);
void ggui_channels_remove (JMFile* jmfile);
void ggui_channels_move (JMFile* jmfile, JMFile* new_parent, JMFile* old_parent);
void ggui_channels_update (JMFile* jmfile);
void ggui_channels_freeze (void);
void ggui_channels_thaw (void);


#endif /* _GGUI_CHANNELS_H */
